Package: groovy.lang

## [Java] Class MetaArrayLengthProperty

- groovy.lang.MetaArrayLengthProperty

-     public class MetaArrayLengthProperty
      extends MetaProperty

  Represents the length property of an array.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaArrayLengthProperty()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifiers()`
    `` | `public Object` | `getProperty(Object object)`
    `` | `public void` | `setProperty(Object object, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MetaArrayLengthProperty()

  - ### Method Detail

    - #### @Override
      public int getModifiers()

    - #### @Override
      public Object getProperty(Object object)

    - #### @Override
      public void setProperty(Object object, Object newValue)